summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorTuowen Zhao <ztuowen@gmail.com>2018-05-20 13:00:53 -0600
committerTuowen Zhao <ztuowen@gmail.com>2018-05-20 13:00:53 -0600
commitdb38c7c3b2921783d955912262f87ee7dd8cd31b (patch)
tree19711b0495e8472fdfb85643c2c7ec7c5a5229c3 /tools
parent1481f7aa67df42bdf45953231637194ac200d240 (diff)
parenta600ab4b8578ca0a8e6c6dae0373033b9d8c201c (diff)
downloadzsh-db38c7c3b2921783d955912262f87ee7dd8cd31b.tar.gz
zsh-db38c7c3b2921783d955912262f87ee7dd8cd31b.tar.bz2
zsh-db38c7c3b2921783d955912262f87ee7dd8cd31b.zip
Merge branch 'master' of https://github.com/robbyrussell/oh-my-zsh
Diffstat (limited to 'tools')
-rw-r--r--tools/check_for_upgrade.sh2
-rwxr-xr-xtools/install.sh4
2 files changed, 2 insertions, 4 deletions
diff --git a/tools/check_for_upgrade.sh b/tools/check_for_upgrade.sh
index a57f6da0f..b42b87750 100644
--- a/tools/check_for_upgrade.sh
+++ b/tools/check_for_upgrade.sh
@@ -42,7 +42,7 @@ if mkdir "$ZSH/log/update.lock" 2>/dev/null; then
if [ "$DISABLE_UPDATE_PROMPT" = "true" ]; then
_upgrade_zsh
else
- echo "[Oh My Zsh] Would you like to check for updates? [Y/n]: \c"
+ echo "[Oh My Zsh] Would you like to update? [Y/n]: \c"
read line
if [[ "$line" == Y* ]] || [[ "$line" == y* ]] || [ -z "$line" ]; then
_upgrade_zsh
diff --git a/tools/install.sh b/tools/install.sh
index 840a0d7d8..ad47df785 100755
--- a/tools/install.sh
+++ b/tools/install.sh
@@ -24,12 +24,10 @@ main() {
# which may fail on systems lacking tput or terminfo
set -e
- CHECK_ZSH_INSTALLED=$(grep /zsh$ /etc/shells | wc -l)
- if [ ! $CHECK_ZSH_INSTALLED -ge 1 ]; then
+ if ! command -v zsh >/dev/null 2>&1; then
printf "${YELLOW}Zsh is not installed!${NORMAL} Please install zsh first!\n"
exit
fi
- unset CHECK_ZSH_INSTALLED
if [ ! -n "$ZSH" ]; then
ZSH=~/.oh-my-zsh